KHT_VERSION = "v"..GetAddOnMetadata("KHunterTimers", "Version")
local _

-- Traps
KHT_TRAP 				= "Enable 'Trap' Timers"
KHT_FREEZING_TRAP 		= GetSpellInfo(   1499)
KHT_FROST_TRAP 			= GetSpellInfo(  13809)
KHT_FREEZE_ARROW_TRAP 	= GetSpellInfo(  60202)
KHT_EXPLOSIVE_TRAP 		= GetSpellInfo(  13813)
KHT_IMMOLATION_TRAP		= GetSpellInfo(  13795)
KHT_ENTRAPMENT			= GetSpellInfo(  19185) 
KHT_SNAKE_TRAP			= GetSpellInfo(  34600) 

-- Trap Effects
KHT_FREEZING_TRAP_EFFECT 		= GetSpellInfo(   3355)
KHT_FREEZE_ARROW_TRAP_EFFECT 	= GetSpellInfo(  60210)
KHT_FROST_TRAP_EFFECT 			= GetSpellInfo(  13810)
KHT_EXPLOSIVE_TRAP_EFFECT 		= GetSpellInfo(  13812)
KHT_IMMOLATION_TRAP_EFFECT		= GetSpellInfo(  13797)
KHT_SNAKE_TRAP_EFFECT			= GetSpellInfo(  45145)

-- Stings
KHT_STING				= "Enable 'Sting' Timers"
KHT_SERPENT_STING		= GetSpellInfo(   1978) -- 15 seconds
KHT_SCORPID_STING		= GetSpellInfo(   3043) -- 20 seconds
KHT_VIPER_STING			= GetSpellInfo(   3034) -- 8 seconds
KHT_WYVERN_STING		= GetSpellInfo(  19386) -- 12 seconds
KHT_CHIMERA				= GetSpellInfo(  53209)

-- Common
KHT_ABILITIES			= "Enable 'Ability' Timers"
KHT_AUTO_SHOT 			= GetSpellInfo    (75)
KHT_FLARE 				= GetSpellInfo(  1543) 	-- 30 sec
KHT_FEIGN_DEATH			= GetSpellInfo(  5384)  -- 6 min
KHT_RAPID_FIRE			= GetSpellInfo(  3045)  -- 15 sec
KHT_HUNTERS_MARK		= GetSpellInfo(  1130)  -- 2 min
KHT_CONCUSSIVE_SHOT		= GetSpellInfo(  5116)  -- 4 sec
KHT_EAGLE_EYE			= GetSpellInfo(  6197)  -- 1 min
KHT_EYES_BEAST			= GetSpellInfo(  1002)  -- 1 min
KHT_SCATTER_SHOT		= GetSpellInfo( 19503)  -- 4 sec
-- trueshot aura 19506 (30 min)
KHT_DETERRENCE			= GetSpellInfo( 19263)  -- 10 sec
KHT_COUNTERATTACK		= GetSpellInfo( 19306)  -- 5 sec
KHT_SCARE_BEAST			= GetSpellInfo(  1513)  -- 10/15/20 sec
KHT_WINGCLIP			= GetSpellInfo(  2974)  -- 10 sec
KHT_BERSERKING			= GetSpellInfo( 26297)  -- 10 sec
KHT_STONEFORM			= GetSpellInfo( 20594)  -- 8 sec
KHT_BLOODFURY			= GetSpellInfo( 20572)  -- 15 sec
KHT_WARSTOMP			= GetSpellInfo( 20549)  -- 2 sec (enemy)
KHT_MISDIRECT			= GetSpellInfo( 34477)  -- 30 sec
KHT_KILLCOMMAND			= GetSpellInfo( 34026)  -- 30 ssec
KHT_MASTER_CALL			= GetSpellInfo( 62305)  -- 4 sec

-- Pet
KHT_PET 					= "Enable 'Pet' Timers"
KHT_FEED_PET 				= GetSpellInfo(   6991) -- buff 1539 20 seconds 
KHT_FEED_PET_EFFECT 		= GetSpellInfo(   1539)
KHT_MEND_PET 				= GetSpellInfo(    136) --5 seconds
KHT_BEASTIAL_WRATH 			= GetSpellInfo(  19574) --18 seconds
KHT_FRENZY					= GetSpellInfo(  19621) -- buff 19615 8 seconds
KHT_FRENZY_EFFECT			= GetSpellInfo(  19615)
KHT_INTIMIDATION			= GetSpellInfo(  19577) -- -- debuff 24394 3 seconds


-- charge 1 sec stun
KHT_DASH				= GetSpellInfo(  61684) -- 15 seconds
KHT_DIVE				= GetSpellInfo(  23145) -- 15 seconds
KHT_CULLING_HERD		= GetSpellInfo(  70893) -- 10 sec
KHT_RABID				= GetSpellInfo(  53401) -- 20 sec
KHT_CALL_WILD			= GetSpellInfo(  53434) -- 20 sec
KHT_FURIOUS_HOWL		= GetSpellInfo(  64495) -- 20 sec
KHT_LAST_STAND			= GetSpellInfo(  53478) -- 20 sec
KHT_ROAR_SACRIFICE		= GetSpellInfo(  53480) -- 12 sec
KHT_ROAR_RECOVERY		= GetSpellInfo(  53517) -- 9 sec


-- charge
-- scorpid poison 10 seconds (can be stacked/refreshed)
-- screech 4 second lower AP
KHT_SHELL_SHIELD		= GetSpellInfo( 26064) 	-- 12 seconds
-- tame beast 1515 (20 sec)
-- revive pet 982 (10 sec)
-- dismiss pet 2641 ( 5 sec)

-- Talents
KHT_TALENT				= "Enable 'Talent' Timers"
KHT_QUICK_SHOT			= GetSpellInfo(  6150)  -- 12 sec
KHT_IMP_WINGCLIP		= GetSpellInfo( 19229)  -- 5 sec
KHT_SILENCING_SHOT		= GetSpellInfo( 41084)  -- 3 sec
KHT_WYVERN_STING		= GetSpellInfo( 41186)  -- 12 sec
KHT_RAPID_KILLING		= GetSpellInfo( 35099)  -- 20 sec
KHT_MASTER_TACTICIAN	= GetSpellInfo( 34833)  -- 8 sec
KHT_EXPOSE_WEAKNESS		= GetSpellInfo( 34501)  -- 5 sec
KHT_CONCUSSIVE_BARRAGE	= GetSpellInfo( 35101)	-- 4 sec
KHT_BLACK_ARROW			= GetSpellInfo( 63672)  -- 15 sec
KHT_SNIPER_TRAINING     = GetSpellInfo( 64420)  -- 15 sec
KHT_HUNTING_PARTY		= GetSpellInfo( 53292) 
KHT_HUNTING_PARTY_EFFECT= GetSpellInfo( 57669)  -- 15 sec
KHT_EXPLOSIVE_SHOT		= GetSpellInfo( 60053)  -- 2 sec

-- Gear
KHT_GEAR				= "Enable 'Gear' Timers"
KHT_TIER_TWO			= GetSpellInfo( 23577)  -- 7 sec  mob
KHT_DEVILSAUR_EYE		= GetSpellInfo( 24352)  -- 20 sec self
KHT_ZAND_MEDAL			= GetSpellInfo( 24661)  -- 20 sec self 
KHT_JOM_GABER			= GetSpellInfo( 29602)  -- 20 sec self
KHT_EARTHSTRIKE			= GetSpellInfo( 25891)  -- 20 sec self
KHT_SWARMGUARD			= GetSpellInfo( 26480)  -- 30 sec self, have to see how this works since both buff/debuff
KHT_SLAYERS_CREST		= GetSpellInfo( 28777)  -- 20 sec self
KHT_KISS_SPIDER			= GetSpellInfo( 28866)  -- 15 sec self

KHT_TIDAL_CHARM			= GetSpellInfo(   835) 	-- 3 sec (enemy)
KHT_NIFTY_STOPWATCH		= GetSpellInfo( 14530) 	-- 10 sec (self)
KHT_DOOM_SKULL			= GetSpellInfo(  5024) 	-- 10 sec (self)
KHT_FLAME_REFLECTOR		= GetSpellInfo( 23097)  -- 5 sec
KHT_SHADOW_REFLECTOR	= GetSpellInfo( 23132)  -- 5 sec
KHT_ICE_REFLECTOR		= GetSpellInfo( 23131)  -- 5 sec
KHT_GOBLIN_BOOTS		= GetSpellInfo(  8892)  -- 20 sec
KHT_GNOMISH_BOOTS		= GetSpellInfo( 13141)  -- 20 sec	
KHT_SWIFT_BOOTS			= GetSpellInfo(  9175)  -- 15 sec
KHT_ROCKET_HELM			= GetSpellInfo( 22641)  -- 30 sec
KHT_MC_CAP				= GetSpellInfo( 13180)  -- 20 sec
KHT_CLOAK_DEVICE		= GetSpellInfo(  4079)  -- 10 sec
KHT_GOBLIN_MORTAR		= GetSpellInfo( 13237)  -- 3 sec (enemy)*
KHT_NET					= GetSpellInfo( 13099)  -- 10 sec 
KHT_SHRINK_RAY			= GetSpellInfo( 13003)  -- 20 sec 
KHT_NITRO_BOOST			= GetSpellInfo( 55004) -- 5 seconds
KHT_HYPERSPEED			= GetSpellInfo( 54758) -- 12 sec

KHT_ABACUS				= GetSpellInfo( 33807) -- 10 sec
KHT_DST 				= GetSpellInfo( 34775) -- 10 sec
KHT_HOURGLASS			= GetSpellInfo( 33649) -- 10 sec
KHT_TSUNAMI				= GetSpellInfo( 42084) -- 10 sec
KHT_BROOCH				= GetSpellInfo( 35166) -- 20 sec
KHT_BEASTLORD			= GetSpellInfo( 37482) -- 15 sec
KHT_HYJAL_RING			= GetSpellInfo( 35081) -- 10 sec
KHT_MADNESS				= GetSpellInfo( 40477) -- 10 sec
KHT_ASHTONGUE			= GetSpellInfo( 40487) -- 8 sec
KHT_ZERKCALL			= GetSpellInfo( 43716) -- 20 sec

KHT_GREATNESS			= GetSpellInfo( 60233) -- 15 sec
KHT_MIRROR_TRUTH		= GetSpellInfo( 33648) -- 40 sec
KHT_GRIM_TOLL			= GetSpellInfo( 60437) -- 10 sec


-- spell_summon (not handled yet)
KHT_BAROV				= GetSpellInfo( 18308) -- 20 sec x3 event
KHT_BATTLE_CHICKEN		= GetSpellInfo( 23133) -- 90 sec
KHT_ARCANITE_DRAGON		= GetSpellInfo( 23074) -- 60 sec
KHT_MITHRIL_DRAGON		= GetSpellInfo( 23075) -- 60 sec
KHT_MECH_DRAGON			= GetSpellInfo( 23076) -- 60 sec
KHT_TIMBERMAW			= GetSpellInfo( 26066) -- 40 sec
KHT_GRIMOIRE			= GetSpellInfo( 17490) -- 60 sec (also covers book of the dead)
KHT_CANNONBALL			= GetSpellInfo( 26066) -- 40 sec
KHT_CTHUN_TENT			= GetSpellInfo( 26391) -- 30 sec

-- *** TBD SECTION END ***

-- items
KHT_ITEMS					= "Enable 'Items' Timers"

KHT_IRON_GRENADE		= GetSpellInfo(  4068) -- 3 seconds
KHT_THORIUM_GRENADE		= GetSpellInfo( 19769) -- 3 seconds

KHT_HIEXPO_BOMB			= GetSpellInfo( 12543) -- 3 seconds
KHT_FLASH_BOMB			= GetSpellInfo(  5134) -- 10 seconds
KHT_ARCANE_BOMB			= GetSpellInfo( 19821) -- 5 seconds
KHT_BIGIRON_BOMB		= GetSpellInfo(  4069) -- 3 seconds
KHT_DARKIRON_BOMB		= GetSpellInfo( 19784) -- 4 seconds
KHT_BIGBRONZE_BOMB		= GetSpellInfo(  4067) -- 2 seconds
KHT_ROUGHCOPPER_BOMB	= GetSpellInfo(  4064) -- 1 seconds
KHT_MITHRILFRAG_BOMB	= GetSpellInfo( 12421) -- 2 seconds
KHT_SMALLBRONZE_BOMB	= GetSpellInfo(  4066) -- 2 seconds
KHT_LARGECOPPER_BOMB	= GetSpellInfo(  4065) -- 1 seconds
KHT_COBALTFRAG_BOMB 	= GetSpellInfo( 67769) -- 3 seconds

--Other
KHT_STING_SUFFIX = "Sting";
KHT_PRIMED = "Primed";
KHT_DONE = "Done!";
KHT_AURA = "Aura";
KHT_SLICK = "Slick";

--Status Text---------------------------------------
KHT_ON = "on";
KHT_OFF = "off";
--Slash Text
KHT_SLASH_HELP = {
	[1] = "Kharthus's Hunter Timers "..KHT_VERSION,
	[2] = "Commands: /kht",
	[3] = "/kht "..KHT_ON.."/"..KHT_OFF,
	[4] = "/kht menu (bring up the gui menu)",
	[5] = "/kht reset (resets all the visible bars)",
	[6] = "/kht resetpos (resets the bar frame position)",
	[7] = "/kht delay <time> (time is in milliseconds)",
	[8] = "/kht flash <timeleft> (timeleft in seconds to flash the bar, 0 for off)",
	[9] = "/kht step <step> (higher step means faster flashing when time is low)",
	[10] = "/kht barcolor r g b (where r, g, b are between 0 and 1)",
	[11] = "/kht barendcolor r g b (where r, g, b are between 0 and 1)",
	[12] = "/kht setbgcolor r g b a (where r, g, b, a are between 0 and 10)",
	[13] = "/kht colorchange "..KHT_ON.."/"..KHT_OFF.." (color change feature)",
	[14] = "/kht up/down (cascade bars up or down)",
	[15] = "/kht scale % (/kht scale 100 = 100% scale)",
	[16] = "/kht lock/unlock (lock or unlock the frame)",
	[17] = "/kht status",
	[18] = "/kht clear all (resets all options to defaults)",
	[19] = "/kht debug (debug info for testing purposes)"
};
KHT_STATUS_STRINGS = {
	[1] = "|cFFFFFF00Kharthus's Hunter Timers "..KHT_VERSION.."|r",
	[2] = "|cFFFFFF00Status:|r %s",
	[3] = "|cFFFFFF00Shot delay:|r %dms", 
	[4] = "|cFFFFFF00Flash time:|r %ds |cFFFFFF00Step:|r %f",
	[5] = "|cFFFFFF00Barcolor:|r %s |cFFFFFF00Barcolorend:|r %s",
	[6] = "|cFFFFFF00Colorchange:|r %s |cFFFFFF00Growth:|r %s",
	[7] = "|cFFFFFF00Scale:|r %d%%"
};

KHT_OPTIONS_COLOR_CHANGE = "Color Change";
KHT_OPTIONS_MILI = "ms";
KHT_OPTIONS_LOCK = "Lock";
KHT_OPTIONS_BAR_DIST = "Distance Between Bars";
KHT_OPTIONS_SCALE = "Scale";
KHT_OPTIONS_FLASH = "Flash Time";
KHT_OPTIONS_STEP = "Flash Step";
KHT_OPTIONS_BARSTART = "Bar Start Color";
KHT_OPTIONS_BAREND = "Bar End Color";
KHT_OPTIONS_BACKDROP = "Backdrop Color";
KHT_OPTIONS_TIMERS_TEXT = "Timers";
KHT_OPTIONS_BARS_TEXT = "Bars";
KHT_OPTIONS_DECIMALS = "Decimals";
KHT_OPTIONS_SHOT_DELAY = "Shot Delay";
KHT_OPTIONS_SHOW_TEX = "Show Textures";
KHT_OPTIONS_LARGE_TEX = "Large Textures";
KHT_OPTIONS_APPEND = "Append Target";
KHT_OPTIONS_BORDER = "Border Color";
KHT_OPTIONS_TEXT_COLOR = "Text Color";
KHT_OPTIONS_TIME_COLOR = "Time Color";
KHT_OPTIONS_TARGET_COLOR = "Target Text Color";
KHT_OPTIONS_OVERALL_OPACITY = "Overall Opacity";
KHT_OPTIONS_HIDE_TEXT = "Hide Spell Name";
KHT_OPTIONS_HIDE_TIME = "Hide Time";
KHT_OPTIONS_HIDE_GAP = "Hide Gap";
KHT_OPTIONS_BAR_THICKNESS = "Bar Thickness";
KHT_OPTIONS_HIDE_PADDING = "Hide Padding";
KHT_OPTIONS_STICKY = "Sticky Auto Shot";
KHT_OPTIONS_DOWN = "Cascade Bars Down";
KHT_OPTIONS_TEXTURE = "Bar Texture";

--Options moved to globals because they dealt with other variables
